Bug 840253 - Review Request: fourterm - Lightweight split-screen terminal emulator with vim key mappings
Review Request: fourterm - Lightweight split-screen terminal emulator with vi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Spaulding
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 18:06 EDT by Lukas Zapletal
Modified: 2013-03-02 11:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-02 11:26:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mspaulding06: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-07-14 18:06:57 EDT
Spec URL: http://lzap.fedorapeople.org/fedora-packaging/fourterm/1.0.4/fourterm.spec
SRPM URL: http://lzap.fedorapeople.org/fedora-packaging/fourterm/1.0.4/fourterm-1.0.4-1.fc16.src.rpm
Description: 
FourTerm is ultra-lightweight terminal emulator with vim-like keyboard shortcuts
for window navigation, active web and file links, search feature and sexy color
"Solarized" scheme with day/night fast switching. It is based on ValaTerm and
comparable to Terminator.

Fedora Account System Username: lzap
Comment 1 Lukas Zapletal 2012-07-14 18:08:28 EDT
More info and screenshot here: https://github.com/lzap/fourterm
Comment 2 Matt Spaulding 2012-07-15 01:45:05 EDT
Hi Lukáš,

I tried to build your package with rawhide x86_64 mock environment and it failed. When you get that fixed I'll do a formal review.
Comment 3 Lukas Zapletal 2012-07-15 07:49:13 EDT
Ah I can see it too: http://kojipkgs.fedoraproject.org//work/tasks/1534/4241534/build.log

Looks like Rawhide issue, will investigate and poke you. Thanks!
Comment 4 Lukas Zapletal 2012-07-15 15:52:04 EDT
Matt, thanks for your report. Now this is fixed - rawhide (maybe F17 too) use different builder tool (waf) which slightly changed some options for vala. I fixed this.

Please note version was changed upstream - I bumped version number thus.

http://lzap.fedorapeople.org/fedora-packaging/fourterm/1.0.5/fourterm.spec
http://lzap.fedorapeople.org/fedora-packaging/fourterm/1.0.5/fourterm-1.0.5-1.fc16.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=4242234

$ rpmlint *rpm
fourterm-debuginfo.x86_64: E: empty-debuginfo-package
fourterm.src:11: W: macro-in-comment %{_tmppath}
fourterm.src:11: W: macro-in-comment %{name}
fourterm.src:11: W: macro-in-comment %{version}
fourterm.src:11: W: macro-in-comment %{release}
fourterm.src:11: W: macro-in-comment %{__id_u}
fourterm.src:43: W: macro-in-comment %{__rm}
fourterm.src:71: W: macro-in-comment %{__rm}
fourterm.x86_64: E: explicit-lib-dependency glib2
fourterm.x86_64: E: explicit-lib-dependency libgee
fourterm.x86_64: W: no-manual-page-for-binary fourterm
fourterm.x86_64: W: install-file-in-docs /usr/share/doc/fourterm-1.0.4/INSTALL
3 packages and 0 specfiles checked; 3 errors, 9 warnings.

I guess libgee and glib2 should be removed (?) from "Requires" section?

I can write the man page if needed, not sure if this is needed for program that does no support any option.

I can remove the install file.

I don't know if the empty debuginfo is an issue.

Thanks for help.
Comment 5 Matt Spaulding 2012-07-17 00:33:06 EDT
Below is my package review. Please correct items listed under "Issues" and that should be good.


Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.

Tested on: Fedora 17 and Rawhide on x86_64

[x]  Rpmlint output:

fourterm.spec:13: W: macro-in-comment %{_tmppath}
fourterm.spec:13: W: macro-in-comment %{name}
fourterm.spec:13: W: macro-in-comment %{version}
fourterm.spec:13: W: macro-in-comment %{release}
fourterm.spec:13: W: macro-in-comment %{__id_u}
fourterm.spec:45: W: macro-in-comment %{__rm}
fourterm.spec:73: W: macro-in-comment %{__rm}
fourterm.spec: W: invalid-url Source0: http://lzap.fedorapeople.org/projects/fourterm/releases/fourterm-1.0.5.tar.gz HTTP Error 404: Not Found
fourterm.x86_64: W: no-manual-page-for-binary fourterm
fourterm.x86_64: W: install-file-in-docs /usr/share/doc/fourterm-1.0.5/INSTALL
fourterm.src:11: W: macro-in-comment %{_tmppath}
fourterm.src:11: W: macro-in-comment %{name}
fourterm.src:11: W: macro-in-comment %{version}
fourterm.src:11: W: macro-in-comment %{release}
fourterm.src:11: W: macro-in-comment %{__id_u}
fourterm.src:43: W: macro-in-comment %{__rm}
fourterm.src:71: W: macro-in-comment %{__rm}
fourterm.src: W: invalid-url Source0: http://lzap.fedorapeople.org/projects/fourterm/releases/fourterm-1.0.5.tar.gz HTTP Error 404: Not Found
2 packages and 1 specfiles checked; 0 errors, 18 warnings.


[x]  Package is not relocatable.
[x]  Buildroot is not set.
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type: GPLv3+
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  Spec file is legible and written in American English.
[!]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  Package is not known to require ExcludeArch, OR:
[!]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package does not have %clean section with rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[x]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[x]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[!]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x]  Reviewer should test that the package builds in mock.
Tested on: Fedora 17 and rawhide on x86_64
[x]  Package should compile and build into binary rpms on all supported architectures.
Tested on: x86_64
[x]  Package functions as described.
[-]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[-]  File based requires are sane.


=== Issues ===
1. Like you mention, the Requires for libgee and glib2 are not necessary. Please remove them.

2. Debuginfo packages cannot be generated for Vala code. Please disable the debug package with "%global debug_package %{nil}"

3. Remove commented out lines in spec file to get rid of rpmlint warnings.

4. Change the Group in spec file to something that makes more sense. I suggest "User Interface/Desktop", which is what gnome-terminal package uses.

5. The Source URL for upstream tarball does not exist. Can't verify that upstream matches tarball in the srpm. Please fix the URL to point to the upstream tarball.

=== Final Notes ===
1. Man pages are not needed. They don't make sense for this package.
Comment 6 Lukas Zapletal 2012-07-19 17:32:55 EDT
Corrected all five issues. Plus I have brand new release.sh script that prevents from forgetting to upload the tarball :-)

http://lzap.fedorapeople.org/fedora-packaging/fourterm/1.0.6/fourterm.spec
http://lzap.fedorapeople.org/projects/fourterm/releases/fourterm-1.0.6-1.fc16.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=4269110

Thank you for your review.
Comment 7 Matt Spaulding 2012-07-20 13:53:40 EDT
Thanks for fixing issues. Everything looks good to me.

APPROVED.
Comment 8 Lukas Zapletal 2012-07-20 15:56:24 EDT
Thank you again.

New Package SCM Request
=======================
Package Name: fourterm
Short Description: Lightweight split-screen terminal emulator with vim key mappings
Owners: lzap
Branches: f16 f17 el6
Comment 9 Gwyn Ciesla 2012-07-20 16:07:37 EDT
Git done (by process-git-requests).

Matt, don't forget to take ownership of review BZs.  Thanks!
Comment 10 Matt Spaulding 2012-07-20 16:45:23 EDT
Hey Jon, sorry bout that. I'm assigned now :)
Comment 11 Matt Spaulding 2012-08-01 00:04:16 EDT
Removed NotReady from the whiteboard. I don't think there's any reason for it now.
Comment 12 Lukas Zapletal 2012-08-02 05:43:11 EDT
Sorry for the delay, I want to implement one latest feature before sending this in the wild. I hope this week before my PTO :-)
Comment 13 Lukas Zapletal 2012-08-06 10:40:00 EDT
Ok finally made upstream changes, 1.0.6 is going in the wild. Many thanks Matt with this! http://koji.fedoraproject.org/koji/taskinfo?taskID=4363456
Comment 14 Fedora Update System 2012-08-06 11:47:33 EDT
fourterm-1.0.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fourterm-1.0.6-1.fc16
Comment 15 Fedora Update System 2012-08-06 11:48:23 EDT
fourterm-1.0.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fourterm-1.0.6-1.fc17
Comment 16 Fedora Update System 2012-08-09 19:26:56 EDT
fourterm-1.0.6-1.fc17 has been pushed to the Fedora 17 testing repository.

Note You need to log in before you can comment on or make changes to this bug.